| Version: 3.3.1

Public Member Functions | List of all members
wxAuiDefaultToolBarArt Class Reference
Class List by Category » Window Docking (wxAUI)

`#include <wx/aui/auibar.h>`

Inheritance diagram for wxAuiDefaultToolBarArt:
[legend]

## Detailed Description

wxAuiDefaultToolBarArt is part of the wxAUI class framework.

See also wxAuiToolBarArt , wxAuiToolBar and wxAUI Overview.

##

Library: wxAui
Category: Window Docking (wxAUI)

## Public Member Functions
| wxAuiDefaultToolBarArt ()
virtual | ~wxAuiDefaultToolBarArt ()
virtual wxAuiToolBarArt * | Clone ()
virtual void | SetFlags (unsigned int flags)
virtual unsigned int | GetFlags ()
virtual void | SetFont (const wxFont &font)
virtual wxFont | GetFont ()
virtual void | SetTextOrientation (int orientation)
virtual int | GetTextOrientation ()
virtual void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)
virtual void | DrawPlainBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)
virtual void | DrawLabel (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)
virtual void | DrawButton (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)
virtual void | DrawDropDownButton (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)
virtual void | DrawControlLabel (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)
virtual void | DrawSeparator (wxDC &dc, wxWindow *wnd, const wxRect &rect)
virtual void | DrawGripper (wxDC &dc, wxWindow *wnd, const wxRect &rect)
virtual void | DrawOverflowButton (wxDC &dc, wxWindow *wnd, const wxRect &rect, int state)
virtual wxSize | GetLabelSize (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)
virtual wxSize | GetToolSize (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)
virtual int | GetElementSize (int elementId)
| Return the size of the element. More...
virtual void | SetElementSize (int elementId, int size)
| Change the size of the element. More...
virtual int | ShowDropDown (wxWindow *wnd, const wxAuiToolBarItemArray &items)
Public Member Functions inherited from wxAuiToolBarArt
| wxAuiToolBarArt ()
virtual wxSize | GetLabelSize (wxReadOnlyDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)=0
| Return the size of the label for the given item. More...
virtual wxSize | GetToolSize (wxReadOnlyDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)=0
| Return the size of the given item. More...
virtual int | GetElementSizeForWindow (int elementId, const wxWindow *window)
| Get the element size scaled by the DPI of the given window. More...

## Constructor & Destructor Documentation

## ◆ wxAuiDefaultToolBarArt()

wxAuiDefaultToolBarArt::wxAuiDefaultToolBarArt | ( |  | ) |

## ◆ ~wxAuiDefaultToolBarArt()

virtual wxAuiDefaultToolBarArt::~wxAuiDefaultToolBarArt | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Clone()

virtual wxAuiToolBarArt* wxAuiDefaultToolBarArt::Clone | ( |  | ) |
| virtual

Implements wxAuiToolBarArt.

## ◆ DrawBackground()

virtual void wxAuiDefaultToolBarArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| virtual

Implements wxAuiToolBarArt.

## ◆ DrawButton()

virtual void wxAuiDefaultToolBarArt::DrawButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| virtual

Implements wxAuiToolBarArt.

## ◆ DrawControlLabel()

virtual void wxAuiDefaultToolBarArt::DrawControlLabel | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| virtual

Implements wxAuiToolBarArt.

## ◆ DrawDropDownButton()

virtual void wxAuiDefaultToolBarArt::DrawDropDownButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| virtual

Implements wxAuiToolBarArt.

## ◆ DrawGripper()

virtual void wxAuiDefaultToolBarArt::DrawGripper | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| virtual

Implements wxAuiToolBarArt.

## ◆ DrawLabel()

virtual void wxAuiDefaultToolBarArt::DrawLabel | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| virtual

Implements wxAuiToolBarArt.

## ◆ DrawOverflowButton()

virtual void wxAuiDefaultToolBarArt::DrawOverflowButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect,
|  | int | state
| ) |  |
| virtual

Implements wxAuiToolBarArt.

## ◆ DrawPlainBackground()

virtual void wxAuiDefaultToolBarArt::DrawPlainBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| virtual

Implements wxAuiToolBarArt.

## ◆ DrawSeparator()

virtual void wxAuiDefaultToolBarArt::DrawSeparator | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| virtual

Implements wxAuiToolBarArt.

## ◆ GetElementSize()

virtual int wxAuiDefaultToolBarArt::GetElementSize | ( | int | elementId | ) |
| virtual

Return the size of the element.

Implement the base class pure virtual function by returning the default element size or the last value passed to SetElementSize().

Implements wxAuiToolBarArt.

## ◆ GetFlags()

virtual unsigned int wxAuiDefaultToolBarArt::GetFlags | ( |  | ) |
| virtual

Implements wxAuiToolBarArt.

## ◆ GetFont()

virtual wxFont wxAuiDefaultToolBarArt::GetFont | ( |  | ) |
| virtual

Implements wxAuiToolBarArt.

## ◆ GetLabelSize()

virtual wxSize wxAuiDefaultToolBarArt::GetLabelSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item
| ) |  |
| virtual

## ◆ GetTextOrientation()

virtual int wxAuiDefaultToolBarArt::GetTextOrientation | ( |  | ) |
| virtual

Implements wxAuiToolBarArt.

## ◆ GetToolSize()

virtual wxSize wxAuiDefaultToolBarArt::GetToolSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item
| ) |  |
| virtual

## ◆ SetElementSize()

virtual void wxAuiDefaultToolBarArt::SetElementSize | ( | int | elementId,
|  | int | size
| ) |  |
| virtual

Change the size of the element.

Implements the base class pure virtual function by storing the value to be returned by GetElementSize() and used by GetElementSizeForWindow().

As for the base class function, size is in DIPs, not pixels, so wxWindow::FromDIP() should not be used for it.

Implements wxAuiToolBarArt.

## ◆ SetFlags()

virtual void wxAuiDefaultToolBarArt::SetFlags | ( | unsigned int | flags | ) |
| virtual

Implements wxAuiToolBarArt.

## ◆ SetFont()

virtual void wxAuiDefaultToolBarArt::SetFont | ( | const wxFont & | font | ) |
| virtual

Implements wxAuiToolBarArt.

## ◆ SetTextOrientation()

virtual void wxAuiDefaultToolBarArt::SetTextOrientation | ( | int | orientation | ) |
| virtual

Implements wxAuiToolBarArt.

## ◆ ShowDropDown()

virtual int wxAuiDefaultToolBarArt::ShowDropDown | ( | wxWindow * | wnd,
|  | const wxAuiToolBarItemArray & | items
| ) |  |
| virtual

Implements wxAuiToolBarArt.